Panda3D

Functions
graphicsOutput.cxx File Reference

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University. More...

`#include "graphicsOutput.h"`
`#include "graphicsPipe.h"`
`#include "graphicsEngine.h"`
`#include "graphicsWindow.h"`
`#include "config_display.h"`
`#include "lightMutexHolder.h"`
`#include "renderBuffer.h"`
`#include "indirectLess.h"`
`#include "pStatTimer.h"`
`#include "configVariableBool.h"`
`#include "camera.h"`
`#include "displayRegion.h"`
`#include "lens.h"`
`#include "perspectiveLens.h"`
`#include "pointerTo.h"`
`#include "compassEffect.h"`
`#include "geom.h"`
`#include "geomNode.h"`
`#include "geomTristrips.h"`
`#include "geomVertexWriter.h"`
`#include "throw_event.h"`
`#include "config_gobj.h"`

Go to the source code of this file.

## Functions
std::ostream & | operator<< (std::ostream &out, GraphicsOutput::FrameMode fm)
| PT (DisplayRegion) GraphicsOutput
| Returns the nth DisplayRegion of those that have been created within the window. More...
| PT (GeomVertexData) GraphicsOutput
| Generates a GeomVertexData for a texture card. More...

## Detailed Description

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University.

All rights reserved.

All use of this software is subject to the terms of the revised BSD license. You should have received a copy of this license along with this source code in a file named "LICENSE."

Author
  drose

Date
  2004-02-06

Definition in file graphicsOutput.cxx.

## Function Documentation

## ◆ PT() [1/2]

PT | ( | DisplayRegion |  | ) |

Returns the nth DisplayRegion of those that have been created within the window.

This may return NULL if n is out of bounds; particularly likely if the number of display regions has changed since the last call to get_num_display_regions().

Returns the number of active DisplayRegions that have been created within the window.

Returns the nth active DisplayRegion of those that have been created within the window. This may return NULL if n is out of bounds; particularly likely if the number of display regions has changed since the last call to get_num_active_display_regions().

Creates and returns an offscreen buffer for rendering into, the result of which will be a texture suitable for applying to geometry within the scene rendered into this window.

If tex is not NULL, it is the texture that will be set up for rendering into; otherwise, a new Texture object will be created. In either case, the target texture can be retrieved from the return value with buffer->get_texture() (assuming the return value is not NULL).

If to_ram is true, the buffer will be set up to download its contents to the system RAM memory associated with the Texture object, instead of keeping it strictly within texture memory; this is much slower, but it allows using the texture with any GSG.

This will attempt to be smart about maximizing render performance while minimizing framebuffer waste. It might return a GraphicsBuffer set to render directly into a texture, if possible; or it might return a ParasiteBuffer that renders into this window. The return value is NULL if the buffer could not be created for some reason.

When you are done using the buffer, you should remove it with a call to GraphicsEngine::remove_window().

Definition at line 783 of file graphicsOutput.cxx.

## ◆ PT() [2/2]

PT | ( | GeomVertexData |  | ) |

Generates a GeomVertexData for a texture card.

Definition at line 1465 of file graphicsOutput.cxx.

References Texture::get_textures_power_2().